import { computed, h } from 'vue';

const useFormProps = {
  name: String
};
function useFormAttrs(props) {
  return computed(() => ({
    type: "hidden",
    name: props.name,
    value: props.modelValue
  }));
}
function useFormInject(formAttrs = {}) {
  return (child, action, className) => {
    child[action](h("input", {
      class: "hidden" + (className || ""),
      ...formAttrs.value
    }));
  };
}
function useFormInputNameAttr(props) {
  return computed(() => props.name || props.for);
}

export { useFormAttrs, useFormInject, useFormInputNameAttr, useFormProps };
//# sourceMappingURL=use-form.mjs.map
