import '../../shared/index.mjs';
import RectangleExtend from '../../shared/extends/core/RectangleExtend.mjs';
import ShadowMapShaderExtend from '../../shared/extends/scene/ShadowMapShaderExtend.mjs';

const vcExtends = [RectangleExtend, ShadowMapShaderExtend];
function useVcExtension() {
  const invokeExtensions = (viewer) => {
    vcExtends.forEach((item) => {
      item.extend(viewer);
    });
  };
  const revokeExtensions = (viewer) => {
    vcExtends.forEach((item) => {
      item.revoke(viewer);
    });
  };
  return {
    invokeExtensions,
    revokeExtensions
  };
}

export { useVcExtension as default };
//# sourceMappingURL=use-vc-extension.mjs.map
