import { VcPrimitiveClusterOptions } from 'vue-cesium/es/utils/types';
/**
 * 图元聚合
 * https://github.com/tingyuxuan2302/cesium-vue3-vite/blob/github/src/utils/cesiumCtrl/primitiveCluster.js
 */
export default class PrimitiveCluster {
    _enabled: boolean;
    _pixelRange: number;
    _minimumClusterSize: number;
    _clusterBillboards: boolean;
    _clusterLabels: boolean;
    _clusterPoints: boolean;
    _labelCollection: any;
    _billboardCollection: any;
    _pointCollection: any;
    _clusterBillboardCollection: any;
    _clusterLabelCollection: any;
    _clusterPointCollection: any;
    _collectionIndicesByEntity: any;
    _unusedLabelIndices: any[];
    _unusedBillboardIndices: any[];
    _unusedPointIndices: any[];
    _previousClusters: any[];
    _previousHeight: number;
    _enabledDirty: boolean;
    _clusterDirty: boolean;
    _cluster: any;
    _removeEventListener: Cesium.Event.RemoveCallback;
    _clusterEvent: Cesium.Event;
    show: boolean;
    _scene: Cesium.Scene;
    _pixelRangeDirty: boolean;
    _minimumClusterSizeDirty: boolean;
    constructor(options?: VcPrimitiveClusterOptions);
    _initialize(scene: Cesium.Scene): void;
    get enabled(): boolean;
    set enabled(value: boolean);
    get pixelRange(): number;
    set pixelRange(value: number);
    get minimumClusterSize(): number;
    set minimumClusterSize(value: number);
    get clusterEvent(): Cesium.Event<(...args: any[]) => void>;
    get clusterBillboards(): boolean;
    set clusterBillboards(value: boolean);
    get clusterLabels(): boolean;
    set clusterLabels(value: boolean);
    get clusterPoints(): boolean;
    set clusterPoints(value: boolean);
    getLabel(entity: any): any;
    removeLabel(entity: any): void;
    getBillboard(entity: any): any;
    removeBillboard(entity: any): void;
    getPoint(entity: any): any;
    removePoint(entity: any): void;
    update(frameState: any): void;
    destroy(): any;
}
