import type { Language } from 'vue-cesium/es/locale';
import type { InjectionKey, Ref } from 'vue';
import type { Mars3dConfig } from './types';
export interface ConfigProviderContext {
    cesiumPath?: string;
    accessToken?: string;
    locale?: Language;
    mars3dConfig?: Mars3dConfig;
    reloadMode?: 'once' | 'all';
    __scriptPromise?: Promise<unknown>;
    __viewerUnloadingPromise?: Promise<boolean>;
    [propName: string]: any;
}
declare const vcKey: string | symbol;
declare const fabKey: string | symbol;
declare const measurementKey: string | symbol;
export { vcKey, fabKey, measurementKey };
export declare const configProviderContextKey: InjectionKey<Ref<ConfigProviderContext>>;
