import { PropType, VNode } from 'vue';
import { Language } from 'vue-cesium/es/locale';
declare const _default: import("vue").DefineComponent<{
    locale: {
        type: PropType<Language>;
        default: () => Language;
    };
    cesiumPath: {
        type: StringConstructor;
        default: string;
    };
    accessToken: {
        type: StringConstructor;
        default: string;
    };
    reloadMode: {
        type: PropType<"once" | "all">;
        default: string;
    };
}, () => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    locale: {
        type: PropType<Language>;
        default: () => Language;
    };
    cesiumPath: {
        type: StringConstructor;
        default: string;
    };
    accessToken: {
        type: StringConstructor;
        default: string;
    };
    reloadMode: {
        type: PropType<"once" | "all">;
        default: string;
    };
}>>, {
    cesiumPath: string;
    accessToken: string;
    locale: Language;
    reloadMode: "once" | "all";
}>;
export default _default;
export declare type VcConfigProviderProps = {
    /**
     * Locale Object.
     */
    locale?: Language;
    /**
     * CesiumJS path for vue-cesium.
     * Default value: https://unpkg.com/cesium@latest/Build/Cesium/Cesium.js
     */
    cesiumPath?: string;
    /**
     * Cesium Ion defaultAccessToken
     * Default value: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiI2OGE2MjZlOC1mMzhiLTRkZjQtOWEwZi1jZTE0MWY0YzhlMTAiLCJpZCI6MjU5LCJpYXQiOjE2NDM3MjU1NzZ9.ptZ5tVXvMmuWRC0WhjtYTg-17nQh14fgxBsx0HJiVXQ
     */
    accessToken?: string;
    /**
     * If multiple component properties are changed at once. 'all' means reload them in sequence; 'once' means reload only once after the last property has been changed.
     */
    reloadMode?: 'once' | 'all';
};
export interface VcConfigProviderSlots {
    /**
     * This is where vc-viewer may go into
     */
    default: () => VNode[];
}
