import { PropType } from 'vue';
import type { VcComponentInternalInstance, VcComponentPublicInstance, VcPickEvent, VcReadyObject } from 'vue-cesium/es/utils/types';
import { VcPrimitiveTilesetProps } from '../tileset';
export declare const i3sDataProviderProps: {
    enableMouseEvent: {
        type: BooleanConstructor;
        default: boolean;
    };
    geoidTiledTerrainProvider: {
        type: PropType<Cesium.ArcGISTiledElevationTerrainProvider | Promise<Cesium.ArcGISTiledElevationTerrainProvider>>;
    };
    traceFetches: {
        type: BooleanConstructor;
        default: boolean;
    };
    cesium3dTilesetOptions: {
        type: PropType<VcPrimitiveTilesetProps>;
    };
    show: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: StringConstructor;
    url: PropType<string | Cesium.Resource>;
};
declare const _default: import("vue").DefineComponent<{
    enableMouseEvent: {
        type: BooleanConstructor;
        default: boolean;
    };
    geoidTiledTerrainProvider: {
        type: PropType<Cesium.ArcGISTiledElevationTerrainProvider | Promise<Cesium.ArcGISTiledElevationTerrainProvider>>;
    };
    traceFetches: {
        type: BooleanConstructor;
        default: boolean;
    };
    cesium3dTilesetOptions: {
        type: PropType<VcPrimitiveTilesetProps>;
    };
    show: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: StringConstructor;
    url: PropType<string | Cesium.Resource>;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    readyPromise: (primitive: import("vue-cesium/es/utils/types").VcPrimitive, viewer: Cesium.Viewer, instance: VcComponentPublicInstance<{}>) => boolean;
    'update:geometryInstances': (instances: Cesium.GeometryInstance[]) => boolean;
    mousedown: (evt: VcPickEvent) => boolean;
    mouseup: (evt: VcPickEvent) => boolean;
    click: (evt: VcPickEvent) => boolean;
    clickout: (evt: VcPickEvent) => boolean;
    dblclick: (evt: VcPickEvent) => boolean;
    mousemove: (evt: VcPickEvent) => boolean;
    mouseover: (evt: VcPickEvent) => boolean;
    mouseout: (evt: VcPickEvent) => boolean;
    beforeLoad: (instance: VcComponentInternalInstance) => boolean;
    ready: (readyObj: VcReadyObject) => boolean;
    unready: (e: any) => boolean;
    destroyed: (instance: VcComponentInternalInstance) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    enableMouseEvent: {
        type: BooleanConstructor;
        default: boolean;
    };
    geoidTiledTerrainProvider: {
        type: PropType<Cesium.ArcGISTiledElevationTerrainProvider | Promise<Cesium.ArcGISTiledElevationTerrainProvider>>;
    };
    traceFetches: {
        type: BooleanConstructor;
        default: boolean;
    };
    cesium3dTilesetOptions: {
        type: PropType<VcPrimitiveTilesetProps>;
    };
    show: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: StringConstructor;
    url: PropType<string | Cesium.Resource>;
}>> & {
    onBeforeLoad?: (instance: VcComponentInternalInstance) => any;
    onReady?: (readyObj: VcReadyObject) => any;
    onUnready?: (e: any) => any;
    onDestroyed?: (instance: VcComponentInternalInstance) => any;
    onMousedown?: (evt: VcPickEvent) => any;
    onMouseup?: (evt: VcPickEvent) => any;
    onClick?: (evt: VcPickEvent) => any;
    onClickout?: (evt: VcPickEvent) => any;
    onDblclick?: (evt: VcPickEvent) => any;
    onMousemove?: (evt: VcPickEvent) => any;
    onMouseover?: (evt: VcPickEvent) => any;
    onMouseout?: (evt: VcPickEvent) => any;
    onReadyPromise?: (primitive: import("vue-cesium/es/utils/types").VcPrimitive, viewer: Cesium.Viewer, instance: VcComponentPublicInstance<{}>) => any;
    "onUpdate:geometryInstances"?: (instances: Cesium.GeometryInstance[]) => any;
}, {
    show: boolean;
    enableMouseEvent: boolean;
    traceFetches: boolean;
}>;
export default _default;
export declare type VcPrimitiveI3sDataProviderProps = {
    /**
     * The url of the I3S dataset.
     */
    url?: string | Cesium.Resource;
    /**
     * The name of the I3S dataset.
     */
    name?: string;
    /**
     * Determines if the dataset will be shown.
     * Default value: true
     */
    show?: boolean;
    /**
     * Tiled elevation provider describing an Earth Gravitational Model. If defined, geometry will be shifted based on the offsets given by this provider. Required to position I3S data sets with gravity-related height at the correct location.
     */
    geoidTiledTerrainProvider?: Cesium.ArcGISTiledElevationTerrainProvider | Promise<Cesium.ArcGISTiledElevationTerrainProvider>;
    /**
     * Debug option. When true, log a message whenever an I3S tile is fetched.
     * Default value: false
     */
    traceFetches?: boolean;
    /**
     * Object containing options to pass to an internally created Cesium3DTileset.
     * Default value: 256
     */
    cesium3dTilesetOptions?: VcPrimitiveTilesetProps;
    /**
     * Specifies whether to respond to mouse pick events.
     * Default Value: true
     */
    enableMouseEvent?: boolean;
    /**
     * Triggers before the component is loaded.
     */
    onBeforeLoad?: (instance: VcComponentInternalInstance) => void;
    /**
     * Triggers when the component is successfully loaded.
     */
    onReady?: (readyObject: VcReadyObject) => void;
    /**
     * Triggers when the component load failed.
     */
    onUnready?: (e: any) => void;
    /**
     * Triggers when the component is destroyed.
     */
    onDestroyed?: (instance: VcComponentInternalInstance) => void;
    /**
     * Triggers when the mouse is pressed on this primitive.
     */
    onMousedown?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the mouse bounces up on this primitive.
     */
    onMouseup?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the mouse clicks on this primitive.
     */
    onClick?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the mouse clicks outside this primitive.
     */
    onClickout?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the left mouse button double-clicks this primitive.
     */
    onDblclick?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the mouse moves on this primitive.
     */
    onMousemove?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the mouse moves over to this primitive.
     */
    onMouseover?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the mouse moves out of this primitive.
     */
    onMouseout?: (evt: VcPickEvent) => void;
    /**
     * Triggers when the primitive is ready to render.
     */
    onReadyPromise?: (primitive: Cesium.Primitive, viewer: Cesium.Viewer, instance: VcComponentPublicInstance) => void;
};
export declare type VcPrimitiveI3sDataProviderRef = VcComponentPublicInstance<VcPrimitiveI3sDataProviderProps>;
