'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

const useFormProps = {
  name: String
};
function useFormAttrs(props) {
  return vue.computed(() => ({
    type: "hidden",
    name: props.name,
    value: props.modelValue
  }));
}
function useFormInject(formAttrs = {}) {
  return (child, action, className) => {
    child[action](vue.h("input", {
      class: "hidden" + (className || ""),
      ...formAttrs.value
    }));
  };
}
function useFormInputNameAttr(props) {
  return vue.computed(() => props.name || props.for);
}

exports.useFormAttrs = useFormAttrs;
exports.useFormInject = useFormInject;
exports.useFormInputNameAttr = useFormInputNameAttr;
exports.useFormProps = useFormProps;
//# sourceMappingURL=use-form.js.map
