declare const text = "\n\nuniform sampler2D segmentsColorTexture;\nuniform sampler2D segmentsDepthTexture;\n\nuniform sampler2D currentTrailsColor;\nuniform sampler2D trailsDepthTexture;\n\nuniform float fadeOpacity;\n\nin vec2 textureCoordinate;\n\nvoid main() {\n  vec4 pointsColor = texture(segmentsColorTexture, textureCoordinate);\n  vec4 trailsColor = texture(currentTrailsColor, textureCoordinate);\n\n  trailsColor = floor(fadeOpacity * 255.0 * trailsColor) / 255.0; // make sure the trailsColor will be strictly decreased\n\n  float pointsDepth = texture(segmentsDepthTexture, textureCoordinate).r;\n  float trailsDepth = texture(trailsDepthTexture, textureCoordinate).r;\n  float globeDepth = czm_unpackDepth(texture(czm_globeDepthTexture, textureCoordinate));\n\n  out_FragColor = vec4(0.0);\n  if (pointsDepth < globeDepth) {\n    out_FragColor = out_FragColor + pointsColor;\n  }\n  if (trailsDepth < globeDepth) {\n    out_FragColor = out_FragColor + trailsColor;\n  }\n  gl_FragDepth = min(pointsDepth, trailsDepth);\n}\n";
export default text;
